#version 150

out vec4 out_Color;
//uniform vec4 color;
in float shade;
in vec3 color;
in vec2 texcoord;

uniform int enable_light;
uniform int enable_texture;
uniform sampler2D tex;

void main(void)
{
//	out_Color = color * shade;
//	out_Color = color;
	if (enable_light == 1)
		out_Color = vec4((shade+0.2) * color, 1.0);
	else
		out_Color = vec4(shade*0.2*color, 1.0);
	
	if (enable_texture == 1)
	if (enable_light == 1)
		out_Color = texture(tex, texcoord) * (shade+0.1);
	else
		out_Color = texture(tex, texcoord) * shade*0.3;
//	out_Color = vec4(shade, shade, shade, 1.0);
}
